Đến nội dung


Hình ảnh
- - - - -

Lisp Ghép Text Cần Giúp Đỡ


  • Please log in to reply
123 replies to this topic

#61 Doan Van Ha

Doan Van Ha

    biết lệnh adcenter

  • CADViet Team
  • PipPipPipPipPipPipPip
  • 5447 Bài viết
Điểm đánh giá: 2624 (tuyệt vời)

Đã gửi 16 March 2012 - 11:41 AM

@bác ĐVH : đoạn (and (alert "Yeu cau so luong 2 nhom Text phai bang nhau!") (exit)) sẽ không thực hiện theo như ý bác muốn đâu, vì alert luôn trả về Nil :)

Ý muốn là nếu nhóm text chọn không chẵn thì thoát mà!
  • 0

* Chỉ nên yêu cầu Lisp khi bạn làm việc đó mất cả ngày nhưng họ chỉ viết 1 giờ. Đừng nêu yêu cầu Lisp khi bạn chỉ làm 1 giờ nhưng bắt họ phải mất cả ngày.

* Nhờ viết lisp cũng như đi khám bệnh. Chỉ gởi căn cước và than sắp chết thì không bác sỹ nào cứu sống được.


#62 ketxu

ketxu

    Copier - Paster - Editor

  • Moderator
  • PipPipPipPipPipPipPip
  • 5678 Bài viết
Điểm đánh giá: 2605 (tuyệt vời)

Đã gửi 16 March 2012 - 11:47 AM

Hàm and thoát ngay sau khi thực hiện xong alert bác ạ ^^ Bác thay bằng Or thì ok.

Hàm And (Điều kiện 1 Điều Kiện 2......Điều kiện n) sẽ :
- Duyệt qua lần lượt các điều kiện 1,2...n và :
+ Trả về T nếu tất cả các điều kiện 1, 2 ...n đều trả về khác nil(chú ý là khác Nil chứ không phải T nhé)
+ Trả về nil nếu phát hiện 1 thằng Nil. Tức nếu thằng điều kiện thứ n-x trả về nil, toàn bộ hàm And sẽ trả về Nil luôn mà không kiểm tra tiếp các điều kiện thứ n-x +1 đến n


  • 1

Thành viên nhóm CadMagic.
Mời bạn ghé thăm facebook nhóm - Page viết lisp theo yêu cầu  :
CAD MAGIC


#63 Doan Van Ha

Doan Van Ha

    biết lệnh adcenter

  • CADViet Team
  • PipPipPipPipPipPipPip
  • 5447 Bài viết
Điểm đánh giá: 2624 (tuyệt vời)

Đã gửi 16 March 2012 - 12:19 PM

Hàm and thoát ngay sau khi thực hiện xong alert bác ạ ^^ Bác thay bằng Or thì ok.

Trong trường hợp này chắc chỉ cần alert thôi, chứ chẳng cần and hoặc or, và bỏ exit luôn nhỉ! Đằng nào nó cũng thoát!
  • 0

* Chỉ nên yêu cầu Lisp khi bạn làm việc đó mất cả ngày nhưng họ chỉ viết 1 giờ. Đừng nêu yêu cầu Lisp khi bạn chỉ làm 1 giờ nhưng bắt họ phải mất cả ngày.

* Nhờ viết lisp cũng như đi khám bệnh. Chỉ gởi căn cước và than sắp chết thì không bác sỹ nào cứu sống được.


#64 xuandung87hp

xuandung87hp

    biết vẽ circle

  • Members
  • PipPip
  • 38 Bài viết
Điểm đánh giá: 9 (bình thường)

Đã gửi 16 March 2012 - 12:41 PM

Bạn xem lại cách dùng lệnh HA2 này nhé:
1). Chọn text lớn làm mẫu: bấm chọn vào text trước dấu chấm.
2). Chọn text bé làm mẫu: bấm chọn text sau dấu chấm.
3). Chọn tất cả text.

Thanks bạn nhiều.Chúc bạn lun thành công
  • 0

#65 ketxu

ketxu

    Copier - Paster - Editor

  • Moderator
  • PipPipPipPipPipPipPip
  • 5678 Bài viết
Điểm đánh giá: 2605 (tuyệt vời)

Đã gửi 16 March 2012 - 01:33 PM

Vừa nãy quên k nói thêm là nếu dùng Forech cũng được nếu thay vì dùng lst2 cố định, bác dùng lst2 thay đổi, trong trường hợp này là :

(Foreach item_to lst1


( Foreach item_be (vl-remove ent_gần_nhất lst2)
.....
)


  • 1

Thành viên nhóm CadMagic.
Mời bạn ghé thăm facebook nhóm - Page viết lisp theo yêu cầu  :
CAD MAGIC


#66 xuandung87hp

xuandung87hp

    biết vẽ circle

  • Members
  • PipPip
  • 38 Bài viết
Điểm đánh giá: 9 (bình thường)

Đã gửi 16 March 2012 - 02:06 PM

Lisp chạy rất tốt, ko bít Ha có thể sửa cho e, đối tượng nào ghép thành công chuyển sang màu khác để đỡ bị lẫn. Vì nếu có 2 text bị chồng lên thì 2 nhóm sẽ ko bằng nhau. Thanks bác!
  • 0

#67 Doan Van Ha

Doan Van Ha

    biết lệnh adcenter

  • CADViet Team
  • PipPipPipPipPipPipPip
  • 5447 Bài viết
Điểm đánh giá: 2624 (tuyệt vời)

Đã gửi 16 March 2012 - 02:23 PM

Lisp chạy rất tốt, ko bít Ha có thể sửa cho e, đối tượng nào ghép thành công chuyển sang màu khác để đỡ bị lẫn. Vì nếu có 2 text bị chồng lên thì 2 nhóm sẽ ko bằng nhau. Thanks bác!

Tôi đã sửa cho bạn, vẫn link cũ, màu đỏ (là số 1). Bạn thích màu nào thì tự sửa dòng đó trong lisp nhé!
  • 0

* Chỉ nên yêu cầu Lisp khi bạn làm việc đó mất cả ngày nhưng họ chỉ viết 1 giờ. Đừng nêu yêu cầu Lisp khi bạn chỉ làm 1 giờ nhưng bắt họ phải mất cả ngày.

* Nhờ viết lisp cũng như đi khám bệnh. Chỉ gởi căn cước và than sắp chết thì không bác sỹ nào cứu sống được.


#68 xuandung87hp

xuandung87hp

    biết vẽ circle

  • Members
  • PipPip
  • 38 Bài viết
Điểm đánh giá: 9 (bình thường)

Đã gửi 16 March 2012 - 02:48 PM

Cảm ơn bạn nhiều nha.
  • 0

#69 chimsedinang

chimsedinang

    Chưa sử dụng CAD

  • Members
  • Pip
  • 3 Bài viết
Điểm đánh giá: 0 (bình thường)

Đã gửi 19 April 2012 - 04:34 AM

Đã xong
  • 0

#70 Doan Van Ha

Doan Van Ha

    biết lệnh adcenter

  • CADViet Team
  • PipPipPipPipPipPipPip
  • 5447 Bài viết
Điểm đánh giá: 2624 (tuyệt vời)

Đã gửi 19 April 2012 - 09:54 AM

Bác Doan Van Ha có thể giúp e chỉnh sửa đoạn code như sau được không ạ:
- Chọn Text lớn :
- Chọn Text nhỏ :
- Chọn dấu thập phân : yêu cầu đặt ra
+ vị trí của dấu thập phân là vị trí đặt text mới sau khi đã ghép 2 text lại với nhau (có thể chọn 1 lần,các điểm sau tự động tính toán tương tự)
+ loại bỏ chúng sau khi 2 text được ghép
Em cảm ơn ạ

Đây bạn!

;Doan Van Ha - CADViet.com - Ngay 19-4-2012
;Muc dich: Noi tung cap text kieu num gan nhau nhat, bang dau ".". VD: noi "5" va "3" thanh "5.3".
;Doi tuong chon va phan nhom theo height cua text. Vi tri tai dau cham "."
;Can than khi chon Text: cac Text phai hop thanh tung bo 3.
(defun C:HA3(/ ent1 ent2 ent3 hgt1 hgt2 hgt3 ss3 lst3 pt ss1 ss2)
(setq ent1 (car (entsel "\nChon text so lon lam mau: ")) ent2 (car (entsel "\nChon text so be lam mau: ")) ent3 (car (entsel "\nChon text dau cham lam mau: ")))
(setq hgt1 (cdr (assoc 40 (entget ent1))) hgt2 (cdr (assoc 40 (entget ent2))) hgt3 (cdr (assoc 40 (entget ent3))))
(princ "\nChon tap hop cac Text dau cham...")
(setq ss3 (ssget (list (cons 0 "TEXT") (cons 40 hgt3) (cons 1 "."))))
(setq lst3 (vl-remove-if 'listp (mapcar 'cadr (ssnamex ss3))))
(foreach ent3 lst3
(setq pt (cdr (assoc 10 (entget ent3))))
(setq ss1 (ssget "c" (polar pt (* 1.25 pi) hgt3) (polar pt (* 0.25 pi) hgt3) (list (cons 0 "TEXT") (cons 40 hgt1) (cons 1 "~*[~0-9]*"))))
(setq ss2 (ssget "c" (polar pt (* 1.25 pi) hgt3) (polar pt (* 0.25 pi) hgt3) (list (cons 0 "TEXT") (cons 40 hgt2) (cons 1 "~*[~0-9]*"))))
(if (/= (sslength ss1) (sslength ss2)) (alert "Text so lon va Text so nho khong di lien tung cap.")
(progn
(entmod (subst (cons 1 (strcat (cdr (assoc 1 (entget (ssname ss1 0)))) "." (cdr (assoc 1 (entget (ssname ss2 0)))))) (assoc 1 (entget (ssname ss1 0))) (entget (ssname ss1 0))))
(entmod (subst (cons 10 pt) (assoc 10 (entget (ssname ss1 0))) (entget (ssname ss1 0))))
(entdel (ssname ss2 0)) (entdel ent3))))
(princ))

  • 2

* Chỉ nên yêu cầu Lisp khi bạn làm việc đó mất cả ngày nhưng họ chỉ viết 1 giờ. Đừng nêu yêu cầu Lisp khi bạn chỉ làm 1 giờ nhưng bắt họ phải mất cả ngày.

* Nhờ viết lisp cũng như đi khám bệnh. Chỉ gởi căn cước và than sắp chết thì không bác sỹ nào cứu sống được.


#71 chimsedinang

chimsedinang

    Chưa sử dụng CAD

  • Members
  • Pip
  • 3 Bài viết
Điểm đánh giá: 0 (bình thường)

Đã gửi 19 April 2012 - 10:54 AM

Đây bạn!


Dạ em cảm ơn ạ.Lisp đạt 90% yêu cầu rồi ạ

Cho em hỏi là tại sao lại có sự chênh lệch tọa độ theo phương X là 1.5m ạ
Tọa độ Text "." trước khi ghép : (X=371129.890 Y=311087.465 Z= 0.000)
Tọa độ Text "." sau khi ghép : (X=371128.390 Y=311087.465 Z= 0.000)
Mốc bàn giao cho bên thi công mà lệch thế này cũng căng đấy ạ.

+ Em trình bày ý tưởng như sau, bác Doan Van Ha giúp em sửa code giúp em nhé :
- Chọn text lớn
- Chọn text nhỏ
- Chọn text "." (xóa text "." --> text ghép có tọa độ = tọa độ text "." )
- Đổi dấu text vừa ghép Y or N (Y thì mặc định = -1 và N thì giữ nguyên)
- Chọn độ chính xác cho text sau khi ghép ( Giả sử với text =10.1 chọn pre =1 thì kết quả ra 10.1, chọn pre = 2 thì kết quả ra 10.10,và tối đa chọn pre =3 thì kết quả ra 10.100 )
- Tạo 1 point tại tọa độ text ghép có cao độ z = text ghép
-Kết quả hiển thị là Point có thuộc tính z = text ghép

Mong anh giúp đỡ ạ. Em cảm ơn.
  • 0

#72 Doan Van Ha

Doan Van Ha

    biết lệnh adcenter

  • CADViet Team
  • PipPipPipPipPipPipPip
  • 5447 Bài viết
Điểm đánh giá: 2624 (tuyệt vời)

Đã gửi 19 April 2012 - 04:34 PM


Dạ em cảm ơn ạ.Lisp đạt 90% yêu cầu rồi ạ

Cho em hỏi là tại sao lại có sự chênh lệch tọa độ theo phương X là 1.5m ạ
Tọa độ Text "." trước khi ghép : (X=371129.890 Y=311087.465 Z= 0.000)
Tọa độ Text "." sau khi ghép : (X=371128.390 Y=311087.465 Z= 0.000)
Mốc bàn giao cho bên thi công mà lệch thế này cũng căng đấy ạ.

+ Em trình bày ý tưởng như sau, bác Doan Van Ha giúp em sửa code giúp em nhé :
- Chọn text lớn
- Chọn text nhỏ
- Chọn text "." (xóa text "." --> text ghép có tọa độ = tọa độ text "." )
- Đổi dấu text vừa ghép Y or N (Y thì mặc định = -1 và N thì giữ nguyên)
- Chọn độ chính xác cho text sau khi ghép ( Giả sử với text =10.1 chọn pre =1 thì kết quả ra 10.1, chọn pre = 2 thì kết quả ra 10.10,và tối đa chọn pre =3 thì kết quả ra 10.100 )
- Tạo 1 point tại tọa độ text ghép có cao độ z = text ghép
-Kết quả hiển thị là Point có thuộc tính z = text ghép
Mong anh giúp đỡ ạ. Em cảm ơn.

Tôi nghĩ bạn nên đi theo hướng này là hay nhất:
Sau khi nối text xong thì kết quả xuất ra tại mỗi cụm (gồm 2 text số và 1 text dấu chấm) là 1 block_att gồm 1 đối tượng point và 1 đối tượng att, trong đó:
- Att là giá tri của text nối.
- Point là điểm ngay tại dấu chấm.
Bạn đồng ý không?
  • 0

* Chỉ nên yêu cầu Lisp khi bạn làm việc đó mất cả ngày nhưng họ chỉ viết 1 giờ. Đừng nêu yêu cầu Lisp khi bạn chỉ làm 1 giờ nhưng bắt họ phải mất cả ngày.

* Nhờ viết lisp cũng như đi khám bệnh. Chỉ gởi căn cước và than sắp chết thì không bác sỹ nào cứu sống được.


#73 chimsedinang

chimsedinang

    Chưa sử dụng CAD

  • Members
  • Pip
  • 3 Bài viết
Điểm đánh giá: 0 (bình thường)

Đã gửi 19 April 2012 - 04:51 PM

Tôi nghĩ bạn nên đi theo hướng này là hay nhất:
Sau khi nối text xong thì kết quả xuất ra tại mỗi cụm (gồm 2 text số và 1 text dấu chấm) là 1 block_att gồm 1 đối tượng point và 1 đối tượng att, trong đó:
- Att là giá tri của text nối.
- Point là điểm ngay tại dấu chấm.
Bạn đồng ý không?

Tức là kết quả sẽ ra 1 block thuộc tính có point nằm tại dấu "." ạ? Có thể chỉ tạo ra text mới nằm trên 1 layer khác + có màu khác, text cũ giữ nguyên ( có thể xóa bằng lệnh sau cũng đc) . Text mới có z = chính giá trị text mới ?
Anh có thể giúp e như thế đc k ạ?
  • 0

#74 Doan Van Ha

Doan Van Ha

    biết lệnh adcenter

  • CADViet Team
  • PipPipPipPipPipPipPip
  • 5447 Bài viết
Điểm đánh giá: 2624 (tuyệt vời)

Đã gửi 19 April 2012 - 04:56 PM

Tức là kết quả sẽ ra 1 block thuộc tính có point nằm tại dấu "." ạ? Có thể chỉ tạo ra text mới nằm trên 1 layer khác + có màu khác, text cũ giữ nguyên ( có thể xóa bằng lệnh sau cũng đc) . Text mới có z = chính giá trị text mới ?
Anh có thể giúp e như thế đc k ạ?

Tất nhiên là được! Đợi tối hoặc mai nhé!
  • 0

* Chỉ nên yêu cầu Lisp khi bạn làm việc đó mất cả ngày nhưng họ chỉ viết 1 giờ. Đừng nêu yêu cầu Lisp khi bạn chỉ làm 1 giờ nhưng bắt họ phải mất cả ngày.

* Nhờ viết lisp cũng như đi khám bệnh. Chỉ gởi căn cước và than sắp chết thì không bác sỹ nào cứu sống được.


#75 Tue_NV

Tue_NV

    KS Võ Quang Tuệ

  • Moderator
  • PipPipPipPipPipPipPip
  • 4296 Bài viết
Điểm đánh giá: 3804 (đỉnh cao)

Đã gửi 19 April 2012 - 05:23 PM


Dạ em cảm ơn ạ.Lisp đạt 90% yêu cầu rồi ạ

Cho em hỏi là tại sao lại có sự chênh lệch tọa độ theo phương X là 1.5m ạ
Tọa độ Text "." trước khi ghép : (X=371129.890 Y=311087.465 Z= 0.000)
Tọa độ Text "." sau khi ghép : (X=371128.390 Y=311087.465 Z= 0.000)
Mốc bàn giao cho bên thi công mà lệch thế này cũng căng đấy ạ.

+ Em trình bày ý tưởng như sau, bác Doan Van Ha giúp em sửa code giúp em nhé :
- Chọn text lớn
- Chọn text nhỏ
- Chọn text "." (xóa text "." --> text ghép có tọa độ = tọa độ text "." )
- Đổi dấu text vừa ghép Y or N (Y thì mặc định = -1 và N thì giữ nguyên)
- Chọn độ chính xác cho text sau khi ghép ( Giả sử với text =10.1 chọn pre =1 thì kết quả ra 10.1, chọn pre = 2 thì kết quả ra 10.10,và tối đa chọn pre =3 thì kết quả ra 10.100 )
- Tạo 1 point tại tọa độ text ghép có cao độ z = text ghép
-Kết quả hiển thị là Point có thuộc tính z = text ghép

Mong anh giúp đỡ ạ. Em cảm ơn.

Không biết code này đúng ý bạn không?

(defun C:HA3(/ ent1 ent2 ent3 hgt1 hgt2 hgt3 ss3 lst3 pt ss1 ss2 hei strmoi dau)
(setq ent1 (car (entsel "\nChon text so lon lam mau: ")) ent2 (car (entsel "\nChon text so be lam mau: ")) ent3 (car (entsel "\nChon text dau cham lam mau: ")))
(setq sole (getint "\nSo le thap phan :"))
(initget "Y N")
(setq ans (getkword "\n Doi dau Text <Y/N> :"))
(if (= (strcase ans) "Y") (setq dau "-"))
(setq hgt1 (cdr (assoc 40 (entget ent1))) hgt2 (cdr (assoc 40 (entget ent2))) hgt3 (cdr (assoc 40 (entget ent3))))
(princ "\nChon tap hop cac Text dau cham...")
(setq ss3 (ssget (list (cons 0 "TEXT") (cons 40 hgt3) (cons 1 "."))))
(setq lst3 (vl-remove-if 'listp (mapcar 'cadr (ssnamex ss3))))
(foreach ent3 lst3
(setq pt (cdr (assoc 10 (entget ent3)))) (setq hei (/ (cdr (assoc 40 (entget ent3))) 4.0))
(setq ss1 (ssget "c" (polar pt (* 1.25 pi) hgt3) (polar pt (* 0.25 pi) hgt3) (list (cons 0 "TEXT") (cons 40 hgt1) (cons 1 "~*[~0-9]*"))))
(setq ss2 (ssget "c" (polar pt (* 1.25 pi) hgt3) (polar pt (* 0.25 pi) hgt3) (list (cons 0 "TEXT") (cons 40 hgt2) (cons 1 "~*[~0-9]*"))))
(if (/= (sslength ss1) (sslength ss2)) (alert "Text so lon va Text so nho khong di lien tung cap.")
(progn
(setq strmoi (strcat dau (rtos (atof (strcat (cdr (assoc 1 (entget (ssname ss1 0)))) "." (cdr (assoc 1 (entget (ssname ss2 0)))))) 2 sole)) )

(entmod (subst (cons 1 strmoi) (assoc 1 (entget (ssname ss1 0))) (entget (ssname ss1 0))))
(entmod (subst (cons 10 pt) (assoc 10 (entget (ssname ss1 0))) (entget (ssname ss1 0))))
(entdel (ssname ss2 0)) (entdel ent3)))
(entmake (list (cons 0 "TEXT") (cons 1 strmoi) (cons 10 pt) (cons 11 pt) (cons 40 hei) (cons 72 1) (cons 73 2)))
(entmake (list (cons 0 "POINT") (cons 10 pt) ))
)
(princ))

  • 1

#76 ketxu

ketxu

    Copier - Paster - Editor

  • Moderator
  • PipPipPipPipPipPipPip
  • 5678 Bài viết
Điểm đánh giá: 2605 (tuyệt vời)

Đã gửi 19 April 2012 - 05:54 PM

Ketxu chỉnh 1 tí code của bác Hạ cho dễ nhìn.
Khi dùng rtos đặc biệt chú ý tác dụng của biến DIMZIN

(vl-load-com)
(defun C:test (/ e1 e2 e3 h1 h2 h3 pt ss1 ss2 val blk ssgetT prf addmtext) ;ketxu changed
(initget "y Y n N")
(setq prf (getkword "\nDoi dau :[Y/N]")
nm (getint "\nSo le :")
blk (vla-get-block (vla-get-activelayout(vla-get-activedocument (vlax-get-acad-object))))
oDZ (getvar 'DiMZIN)
)
(defun addmtext (blk str pt)(vla-addmtext blk (vlax-3d-point pt) 1 str))
(defun ssgetT (p h rg)
(ssname
(ssget "c" (polar p (* 1.25 pi) rg) (polar p (* 0.25 pi) rg) (list (cons 0 "TEXT") (cons 40 h) (cons 1 "~*[~0-9]*"))) 0)
)
(defun val (d e)(cdr (assoc d (entget e))))
(setvar 'DIMZIN 0)
(mapcar '(lambda(x y)(set x (val 40 y)))
'(h1 h2 h3)
(mapcar '(lambda(x y)(set x (car (entsel y)))) '(e1 e2 e3) '("\nText lon mau :" "\nText be:" "\nText cham"))
)

(princ "\nChon tap hop cac Text dau cham...")
(foreach en (vl-remove-if 'listp (mapcar 'cadr (ssnamex (ssget (list (cons 0 "TEXT") (cons 40 h3) (cons 1 "."))))))
(vla-put-color
(addmtext blk
(rtos
(distof (setq str (strcat (if (= (strcase prf) "Y") "-")(val 1 (ssgetT (setq p (val 10 en)) h3 h3)) "." (val 1 (ssgetT p h2 h3))))) ;Muon alignment point thi doi so 10 thanh 11
2 nm)
(list (car p)(cadr p)(distof str))
)
1) ;So 1 la mau cua doi tuong
)
(setvar 'DIMZIN oDZ)
)

  • 2

Thành viên nhóm CadMagic.
Mời bạn ghé thăm facebook nhóm - Page viết lisp theo yêu cầu  :
CAD MAGIC


#77 longbyoongho

longbyoongho

    biết vẽ pline

  • Members
  • PipPip
  • 61 Bài viết
Điểm đánh giá: 2 (bình thường)

Đã gửi 26 April 2012 - 09:37 AM

lisp at2t của bác gia_bach rất hay, liệu bác có thể thêm phần quét chọn nhiều text 1 lúc được k? e thấy pic từng text 1 mất time quá. thanks bác
  • 0
Đã 18 mùa cây lúa trổ bông,
Chưa 1 lần sờ mông con gái
Cũng từng ấy mùa khoai sọ,
Chưa 1 lần này nọ với ai.

#78 Doan Van Ha

Doan Van Ha

    biết lệnh adcenter

  • CADViet Team
  • PipPipPipPipPipPipPip
  • 5447 Bài viết
Điểm đánh giá: 2624 (tuyệt vời)

Đã gửi 26 April 2012 - 10:01 AM

lisp at2t của bác gia_bach rất hay, liệu bác có thể thêm phần quét chọn nhiều text 1 lúc được k? e thấy pic từng text 1 mất time quá. thanks bác

Trong topic này có mấy lisp at2t mà bác Gia_bach sửa đi sửa lại cho phù hợp nhu cầu từng người.
Vậy bạn muốn sửa lisp ở bài nào (# nào)? Hoặc post cái lisp đó lên?
  • 0

* Chỉ nên yêu cầu Lisp khi bạn làm việc đó mất cả ngày nhưng họ chỉ viết 1 giờ. Đừng nêu yêu cầu Lisp khi bạn chỉ làm 1 giờ nhưng bắt họ phải mất cả ngày.

* Nhờ viết lisp cũng như đi khám bệnh. Chỉ gởi căn cước và than sắp chết thì không bác sỹ nào cứu sống được.


#79 autocad2012

autocad2012

    biết zoom

  • Members
  • Pip
  • 11 Bài viết
Điểm đánh giá: 0 (bình thường)

Đã gửi 09 June 2012 - 03:38 PM

Em có 1 file tọa độ bị hư.
Đáng lẽ nếu đúng là:
1.43
0.80
Nhưng bây giờ nó hiển thị là
1 43
0 80
Mất dấu chấm và có khoảng cách giữa 2 số.

Vậy bác nào có thể viết giùm e cái lisp chuyển lại nó như ban đầu dc ko (Nối 2 text theo thứ tự trước sau và thêm dấu chấm ở giữa)
Chứ mấy lisp trên gi mà số lớn, số nhỏ đứng trước nó phức tạp quá :)

Cảm ơn mấy bác đã giúp đỡ.
  • 0

#80 Doan Van Ha

Doan Van Ha

    biết lệnh adcenter

  • CADViet Team
  • PipPipPipPipPipPipPip
  • 5447 Bài viết
Điểm đánh giá: 2624 (tuyệt vời)

Đã gửi 09 June 2012 - 04:11 PM

Em có 1 file tọa độ bị hư.
Đáng lẽ nếu đúng là:
1.43
0.80
Nhưng bây giờ nó hiển thị là
1 43
0 80
Mất dấu chấm và có khoảng cách giữa 2 số.
Vậy bác nào có thể viết giùm e cái lisp chuyển lại nó như ban đầu dc ko (Nối 2 text theo thứ tự trước sau và thêm dấu chấm ở giữa)
Chứ mấy lisp trên gi mà số lớn, số nhỏ đứng trước nó phức tạp quá :)
Cảm ơn mấy bác đã giúp đỡ.

Gởi file tọa độ đó lên để thấy mặt mũi mới mần lisp chính xác bạn ạ!
  • 0

* Chỉ nên yêu cầu Lisp khi bạn làm việc đó mất cả ngày nhưng họ chỉ viết 1 giờ. Đừng nêu yêu cầu Lisp khi bạn chỉ làm 1 giờ nhưng bắt họ phải mất cả ngày.

* Nhờ viết lisp cũng như đi khám bệnh. Chỉ gởi căn cước và than sắp chết thì không bác sỹ nào cứu sống được.